NovaDB Razor API
Binaries and Files
GetBinaryAsync
Get a database binary by MD5 hash code
Request
GET /binaries/{md5}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *md5 | string (guid) | The binary MD5 as a Guid-formatted string |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 304 | The binary has not been modified |
||
| 404 | The binary could not be found |
GetBpoExternalBinaryAsync
Get an external binary (a file) by binary proxy object id
Request
GET /branches/{branchId}/files/{bpoId}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branchId | integer (int32) | The branch ID |
|
| *bpoId | integer (int32) | The binary proxy object ID |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 304 | The file has not been modified |
||
| 403 | The access is forbidden for the current user |
||
| 404 | The binary proxy could not be found |
GetExternalBinaryAsync
Get an external binary (a file) by file name (Guid + Extension)
Request
GET /files/{name}
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *name | string | Name of the file including the extension. |
|
| range | string | Range header value. For more information, visit https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Range |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 304 | The file has not been modified |
||
| 404 | The file does not exist |
Razor Rendering
RenderTemplateAsync
Render a preview from a list of objects
Request
POST /branches/{branchId}/templates/{templateId}/render[?hyphenate]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branchId | integer (int32) | The branch ID |
|
| *templateId | integer (int32) | The template ID |
|
| hyphenate | boolean | True to insert hyphenation points in the the output |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 400 | Bad request |
||
| 403 | The access is forbidden for the current user |
||
| 404 | |||
| 422 | An Exception occurred during Razor rendering |
GetRenderedTemplateAsync
Render a preview from a list of objects.
Request
GET /branches/{branchId}/templates/{templateId}/render[?uiCulture&objects&variants&languages&hyphenate]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branchId | integer (int32) | The branch ID |
|
| *templateId | integer (int32) | The template ID |
|
| uiCulture | string | The UI culture |
|
| objects | string | A comma separated list of object IDs |
|
| variants | string | A comma separated list of variant IDs |
|
| languages | string | A comma separated list of language IDs |
|
| hyphenate | boolean | True to insert hyphenation points in the the output |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 400 | Bad request |
||
| 403 | The access is forbidden for the current user |
||
| 422 | An Exception occurred during Razor rendering |
RenderBatchAsync
Render a preview from a list of objects
Request
POST /branches/{branchId}/renderBatch
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branchId | integer (int32) | The branch ID |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 400 | Bad request |
||
| 403 | The access is forbidden for the current user |
||
| 422 | An Exception occurred during Razor rendering |
CSS Stylesheets
GetNovaStylesCssAsync
Get the nova-styles.css created from system objects
Request
GET /branches/{branchId}/css/nova-styles.css
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branchId | integer (int32) | The branch ID |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 304 | The styles have not been modified |
||
| 403 | |||
| 404 |
GetNovaFontsCssAsync
Get the nova-fonts.css created from system objects
Request
GET /branches/{branchId}/css/nova-fonts.css
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *branchId | integer (int32) | The branch ID |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 304 | The fonts have not been modified |
||
| 403 | |||
| 404 |
GetStylesheetAsync
Get the stylesheet created from an object of type TypeCascadingStyleSheet
Request
GET /branches/{branchId}/css/{objectId}.css
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *objectId | integer (int32) | The object ID |
|
| *branchId | integer (int32) | The branch ID |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | OK |
||
| 304 | The stylesheet has not been modified |
||
| 403 | |||
| 404 |